/* Talika panel applet: Switch between open windows using icons.
 * (C) 2009-2010 Sinew Software Systems
	 *
 * Authors:  Vinod Kumar Dahiya
 *           Hemant Kumar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
	 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef TALIKA_TOOLTIPS_H__
#define TALIKA_TOOLTIPS_H__

void talika_tooltips_free_popup (TalikaTaskList * tasklist);

gboolean talika_tooltips_leave_notify (GtkWidget * widget,
                                       GdkEventCrossing * event,
                                       TalikaTaskList * tasklist);

gboolean talika_tooltips_enter_notify (GtkWidget * widget,
                                       GdkEventCrossing * event, 
                                       TalikaTask * task);

void talika_tooltips_hide_popup_immediatly (TalikaTask * task);
void talika_tooltips_show_popup_immediatly (TalikaTask * task);

#endif //TALIKA_TOOLTIPS_H__
